<?
require '../config.php';
$align = "left";
$title = "Записки";
aut();
head();
if ($user["level"] == 9) {
    $goy = $_GET['go'];

    switch ($goy) {
        default:
            echo "&#187; <a href=\"./zapiskionline?go=allzap\">Просмотр записок</a><br /><br />\n";
			///echo "&#187; <a href=\"./zapiskionline?go=allzapodobr\">Просмотр записок по одобрению</a><br /><br />\n";
			
            echo "&#187; <a href=\"./zapiskionline?go=dellzap_bots\">Удалить всё от системы</a><br />\n";
            echo "&#187; <a href=\"./zapiskionline?go=dellzap_pro4itano\">Удалить все прочитанные</a><br />\n";
            echo "&#187; <a href=\"./zapiskionline?go=alldell\">Удалить все записки</a><br />\n";
            echo "&#187; <a href=\"./zapiskionline?go=dell\">Удалить записки более 7 дней</a><br />\n";

            echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
            foot();
            break;
		//////////
		case 'kto_komu':
			echo "&#187; <a href=\"./zapiskionline?go=allzapuser&amp;true=1&amp;us_msg=".intval($_GET[kto])."\">Читать все письма от </a>".user(intval($_GET['kto']))."<br />\n";
			echo "&#187; <a href=\"./zapiskionline?go=allzapuser&amp;true=1&amp;us_msg=".intval($_GET[komu])."\">Читать все письма от </a>".user(intval($_GET['komu']))."<br />\n";
			echo "&#187; <a href=\"./zapiskionline?go=allzapuser&amp;kto=".intval($_GET[kto])."&amp;komu=".intval($_GET[komu])."\">Читать все письма между</a> ".user($_GET['kto'])." и ".user($_GET['komu'])."<br />\n";
			echo '<br/>';
			echo "&#187; <a href=\"./zapiskionline?go=allzap&amp;kto=".intval($_GET[kto])."\">Удалить все письма от </a>".user(intval($_GET['kto']))."<br />\n";
			echo "&#187; <a href=\"./zapiskionline?go=allzap&amp;komu=".intval($_GET[komu])."\">Удалить все письма от </a>".user(intval($_GET['komu']))."<br />\n";
			echo "&#187; <a href=\"./zapiskionline?go=allzap&amp;kto=".intval($_GET[kto])."&amp;komu=".intval($_GET[komu])."\">Удалить все письма между</a> ".user($_GET['kto'])." и ".user($_GET['komu'])."<br />\n";
			echo '<br/><br/>';
			echo "&#187; <a href=\"./zapiskionline?go=allzap\">Просмотр записок</a><br />\n";
			echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
			foot();
			break;
		//////////
        case 'alldell':
            echo "Вы действительно хотите удалить все записки?<br />";
            echo "&#187; <a href=\"./zapiskionline?go=alldellzap\"><font color=\"red\">Да</font></a><br />\n";
            echo "&#187; <a href=\"./zapiskionline?\"><font color=\"green\">Нет</font></a><br />\n";
            echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
            foot();
            break;

        case 'dell':
            echo "Вы действительно хотите удалить записки более 7 дней?<br />";
            echo "&#187; <a href=\"./zapiskionline?go=dellzap\"><font color=\"red\">Да</font></a><br />\n";
            echo "&#187; <a href=\"./zapiskionline?\"><font color=\"green\">Нет</font></a><br />\n";
            echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
            foot();
            break;


        case 'dellzap_pro4itano':
            $time = time();
            mysql_query("DELETE FROM `privat` WHERE `readin` = 1") or die("Ошибка1");
            echo "Удалены все прочитанные записки<br/>\n";
			$messs = ''.$user['user'].' Удалил(а) все прочитанные записки';
			$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");
             echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
            foot();
            break;

        case 'dellzap_bots':
            $time = time();
            mysql_query("DELETE FROM `privat` WHERE `user_id` = 0") or die("Ошибка2");
            echo "Удалены все записки от системы<br/>\n";
            $messs = ''.$user['user'].' Удалил(а) все записки от системы';
			$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");
			echo gb . '<a href="index">В админку</a><br />' . div;
                         echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
						 info_compress();
						echo 'Время:'.$debag->endTimer().' сек<br />'.div;
                          foot();
            break;

        case 'dellzap':
            $time = time() - 604800;
            mysql_query("DELETE from `privat` WHERE time < $time") or die("Ошибка3");
            echo "Удалены все записки более чем 7 дневной давности<br/>\n";
            $messs = ''.$user['user'].' Удалил(а) записки более чем 7 дневной давности';
			$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");
			echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
            info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
			foot();
            break;
		
		case '234';
		if($user[id]==3)
		{
			$r = mysql_query("SELECT * FROM `privat` WHERE (`to_id`='1' and `readin` = '0') ");
            
			 while ($a = @mysql_fetch_array($r)) 
			{
                echo "-----------<br/>";
                echo "когда: ".times($a[time])."<br/>";
                echo "кто : ".nik($a[user])."<br/>";
                echo "кому : ".nik($a[to_id])."<br/>
				<b>сообщение: </b>".text($a[msg])."<br/>";
				echo "<a href=\"./zapiskionline?go=kto_komu&amp;kto=".intval($a[user_id])."&amp;komu=".intval($a[to_id])."\">[<font color=\"green\">Читать переписку]</font></a><br/>";
                if ($a['readin'] != 0) {
                    echo "ПРОЧИТАНО<br/>";
                }else{
                    echo "НЕ ПРОЧИТАНО<br/>";
                }
                if ($user['level'] >= 9) 
				{		
                    echo '<a href="./zapiskionline?go=allzap&amp;delete='.$a['time'].'">[<font color="red">Удалить записку</font>]</a><br/>';
                }
			}
		}
			break;

		
        case 'alldellzap':
            $time = time();
            mysql_query("DELETE from `privat` WHERE time <= $time") or die("Ошибка4");
            $messs = ''.$user['user'].' Удалил(а) все записки';
			$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");
			echo "Удалены все записки<br/>\n";
           echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
			foot();
            break;
		
		////////////////////////////////////////
		case 'allzapuser':
		if ($user["level"] < 9) {
            echo "вон отсюда!!! Дверь там => падла<br />";
            exit;
        }
			if($_GET['true']== 1)
			{
				$ry2 = "SELECT COUNT(*) FROM `privat` WHERE `user_id`='".intval($_GET[us_msg])."'";
			}else
			{
				$ry2 = "SELECT COUNT(*) FROM `privat` WHERE (`user_id`='".intval($_GET[kto])."' AND `to_id`='".intval($_GET[komu])."') OR (`user_id`='".intval($_GET[komu])."' AND `to_id`='".intval($_GET[kto])."')";
            }
			$res2 = mysql_query($ry2);
            $kolvo = mysql_result($res2, 0);
            echo "Всего писем <b>" . $kolvo . "</b><br />";
			
            if (empty($user['max']))$user['max'] = 10;
            $max = $user['max'];
			if($_GET['true']== 1)
			{
				$k_post = mysql_result(mysql_query("SELECT count(*) as num FROM `privat` WHERE `user_id`='".intval($_GET[us_msg])."'"), 0);
			}else
			{
				$k_post = mysql_result(mysql_query("SELECT count(*) as num FROM `privat` WHERE (`user_id`='".intval($_GET[kto])."' AND `to_id`='".intval($_GET[komu])."') OR (`user_id`='".intval($_GET[komu])."' AND `to_id`='".intval($_GET[kto])."') "), 0);
			}
            $k_page = k_page($k_post, $max);
            $page = page($k_page);
            $start = $max * $page - $max;
			if($_GET['true']== 1)
			{
				$r = mysql_query("SELECT * FROM `privat` WHERE `user_id`='".intval($_GET[us_msg])."' ORDER BY `time` DESC LIMIT " . $start . ", {$max}");
				
				$messs = ''.$user['user'].' Смотрит все записки от '.user($a[user]).'';
				$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");
			}else
			{
				$r = mysql_query("SELECT * FROM `privat` WHERE (`user_id`='".intval($_GET[kto])."' AND `to_id`='".intval($_GET[komu])."') OR (`user_id`='".intval($_GET[komu])."' AND `to_id`='".intval($_GET[kto])."') ORDER BY `time` DESC LIMIT " . $start . ", {$max}");
				
				$messs = ''.$user['user'].' Смотрит все записки между '.user($a[user]).' и '.user($a[to_id]).'';
				$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");
			}
			if ($k_post == 0) {
                echo "записок в базе нет<br />";
            }
            $post_k = $start + 1;

            if (isset($_GET['delete34252525252525'])) 
			{
                if ($user['level'] >= 9) 
				{
                    mysql_query("DELETE FROM `privat` WHERE `time` = '".abs((int)($_GET['delete']))."'");
                    header("Location: zapiskionline?go=allzap");
                }
            }
            while ($a = @mysql_fetch_array($r)) 
			{
                echo "-----------<br/>";
                echo "когда: ".times($a[time])."<br/>";
                echo "кто : ".nik($a[user])."<br/>";
                echo "кому : ".nik($a[to_id])."<br/>
				<b>сообщение: </b>".text($a[msg])."<br/>";
				echo "<a href=\"./zapiskionline?go=kto_komu&amp;kto=".intval($a[user_id])."&amp;komu=".intval($a[to_id])."\">[<font color=\"green\">Читать переписку]</font></a><br/>";
                if ($a['readin'] != 0) {
                    echo "ПРОЧИТАНО<br/>";
                }else{
                    echo "НЕ ПРОЧИТАНО<br/>";
                }
                if ($user['level'] >= 9) {
					///echo "<a href=\"./zapiskionline?go=kto_komu&amp;kto=".intval($a[user_id])."&amp;komu=".intval($a[to_id])."\">[<font color=\"green\">Читать переписку]</font></a><br/>";
                    echo '<a href="./zapiskionline?go=allzap&amp;delete='.$a['time'].'">[<font color="red">Удалить записку</font>]</a><br />';
                }
            }
            if (1 < $k_page) {
                echo "<dl><dt></dt></dl>";
				if($_GET['true']!= 1){
					str("zapiskionline?go=allzapuser&amp;kto=".intval($_GET[kto])."&amp;komu=".intval($_GET[komu])."&amp;", $k_page, $page);
                }else{
					str("zapiskionline?go=allzapuser&amp;true=1&amp;us_msg=".intval($_GET[us_msg])."&amp;", $k_page, $page);
				}
                echo "<br /><dl><dt></dt></dl><br />";
			}
			echo "&#187; <a href=\"./zapiskionline?go=allzap\">Просмотр записок</a><br />\n";
			echo gb . '<a href="index">В админку</a><br />' . div;
            echo gb . '<a href="' . H . 'enter">Прихожая</a>' . div;
            info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
			foot();
			break;
		
        case 'allzap':
            if ($user["level"] < 9) {
                echo "вон отсюда!!! Дверь там => падла<br />";
                exit;
            }
			
			$messs = ''.$user['user'].' Смотрит все записки';
			$db->sql_query ("INSERT INTO logs (log,msg,time) VALUES ('zaprivat','$messs','$time')");

			
            $ry2 = "SELECT COUNT(*) FROM `privat`";
            $res2 = mysql_query($ry2);
            $kolvo = mysql_result($res2, 0);
            echo "Всего писем <b>" . $kolvo . "</b><br />";

            if ($user["level"] > 8) {
                if (empty($user['max'])) {
                    $user['max'] = 10;
                }
                $max = $user['max'];
                $k_post = mysql_result(mysql_query("select count(*) as num from privat"), 0);
                $k_page = k_page($k_post, $max);
                $page = page($k_page);
                $start = $max * $page - $max;
                $r = mysql_query("Select * from privat order by time desc LIMIT " . $start . ", {$max}");
                if ($k_post == 0) {
                    echo "записок в базе нет<br />";
                }
                $post_k = $start + 1;

                if (isset($_GET['delete'])) {
                    if ($user['level'] >= 9) {
                        mysql_query("DELETE FROM `privat` WHERE `time` = '".abs((int)($_GET['delete']))."'");
                        header("Location: zapiskionline?go=allzap");
                    }
                }
                while ($a = @mysql_fetch_array($r)) 
				{
                    echo "-----------<br/>";
                    echo "когда: ".times($a[time])."<br/>";
                    echo "кто : ".nik($a[user])."<br/>";
                    echo "кому : ".nik($a[to_id])."<br/>
					<b>сообщение: </b>".text($a[msg])."<br/>";
					echo "<a href=\"./zapiskionline?go=kto_komu&amp;kto=".intval($a[user_id])."&amp;komu=".intval($a[to_id])."\">[<font color=\"green\">Читать переписку]</font></a><br/>";
                    if ($a['readin'] != 0) {
                        echo "ПРОЧИТАНО<br/>";
                    }else{
                        echo "НЕ ПРОЧИТАНО<br/>";
                    }
                    if ($user['level'] >= 9) {
						
                        echo '<a href="./zapiskionline?go=allzap&amp;delete='.$a['time'].'">[<font color="red">Удалить записку</font>]</a><br/>';
                    }
                }
                if (1 < $k_page) {
                    echo "<dl><dt></dt></dl>";
                    str("zapiskionline?go=allzap&amp;mod=" . $mod . "&amp;&amp;new=" . $new .
                        "&amp;", $k_page, $page);
                    echo "<br /><dl><dt></dt></dl><br />";
                }

            }

            if ($user["level"] > 8) {
                echo gb . "<a href=\"index\">В админку</a><br />" . div;
            }
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
            foot();
			break;
			
			case 'allzapodobr':
            if ($user["level"] < 9) {
                echo "вон отсюда!!! Дверь там => падла<br />";
                exit;
            }
            $ry2 = "SELECT COUNT(*) FROM `privat_odobr`";
            $res2 = mysql_query($ry2);
            $kolvo = mysql_result($res2, 0);
            echo "Всего писем <b>" . $kolvo . "</b><br />";

            if ($user["level"] > 8) {
                if (empty($user['max'])) {
                    $user['max'] = 10;
                }
                $max = $user['max'];
                $k_post = mysql_result(mysql_query("select count(*) as num from privat_odobr"), 0);
                $k_page = k_page($k_post, $max);
                $page = page($k_page);
                $start = $max * $page - $max;
                $r = mysql_query("Select * from privat_odobr order by time desc LIMIT " . $start . ", {$max}");
                if ($k_post == 0) {
                    echo "записок в базе нет<br />";
                }
                $post_k = $start + 1;

                if (isset($_GET['delete'])) {
                    if ($user['level'] >= 9) {
                        mysql_query("DELETE FROM `privat_odobr` WHERE `time` = '" . abs((int)($_GET['delete'])) .
                            "'");
                        header("Location: zapiskionline?go=allzapodobr");
                    }
                }
				if (isset($_GET['odobr']) && $user['level'] >= 9) {
					$rrr = mysql_fetch_array(mysql_query("SELECT * FROM `privat_odobr` WHERE `time` = '" . abs((int)($_GET['odobr']))."'"));
					$db->sql_query ("INSERT INTO `privat` (user,user_id,to_user,to_id,time,msg) VALUES ('".$rrr['user']."','".$rrr['user_id']."','".user($rrr['to_user'])."','".user_inf($rrr['to_id'])."','".$rrr['time']."','".$rrr['msg']."')");
                    mysql_query("DELETE FROM `privat_odobr` WHERE `time` = '" . abs((int)($_GET['odobr'])) ."'");
					header("Location: zapiskionline?go=allzapodobr");
                
				}
                while ($a = @mysql_fetch_array($r)) {
                    echo "-----------<br/>";
                    echo "когда:
				" . times($a[time]) . "
				<br/>";
                    echo "кто :";
                    echo nik($a[user]);
                    echo "<br/>";
                    echo "кому :
				" . nik($a[to_id]) . "
				<br/>
				<b>сообщение </b>
				" . text($a[msg]) . "";
                    echo "<br/>";
					if ($user['level'] >= 9) {
                        echo '<a href="./zapiskionline?go=allzapodobr&amp;odobr=' . $a['time'] .
                            '">[<font color="green">Одобрить записку</font>]</a><br />';
                    }
                    if ($user['level'] >= 9) {
                        echo '<a href="./zapiskionline?go=allzapodobr&amp;delete=' . $a['time'] .
                            '">[<font color="red">Удалить записку</font>]</a><br />';
                    }
                }
                if (1 < $k_page) {
                    echo "<dl><dt></dt></dl>";
                    str("zapiskionline?go=allzapodobr&amp;mod=" . $mod . "&amp;&amp;new=" . $new .
                        "&amp;", $k_page, $page);
                    echo "<br /><dl><dt></dt></dl><br />";
                }

            }

            if ($user["level"] > 8) {
                echo gb . "<a href=\"index\">В админку</a><br />" . div;
            }
			info_compress();
			echo 'Время:'.$debag->endTimer().' сек<br />'.div;
            foot();
			break;
    }
}
?>
